net.sf.jasperreports.engine.export.ooxml

## Class DocxParagraphHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.DocxParagraphHelper

-     public class DocxParagraphHelper
      extends BaseHelper

  Version:
    $Id: DocxParagraphHelper.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `LINE_SPACING_FACTOR`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocxParagraphHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, boolean pageBreak)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportEmptyPage(java.lang.String pageAnchor, long bookmarkIndex, boolean twice)`
    `void` | `exportEmptyParagraph()`
    `void` | `exportEmptyParagraph(boolean startPage, long bookmarkIndex, java.lang.String pageAnchor)`
    `void` | `exportProps(JRPrintText text)`
    `void` | `exportProps(JRStyle style)`
    `static java.lang.String` | `getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)`
    `static java.lang.String` | `getTabStopAlignment(TabStopAlignEnum alignment)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_SPACING_FACTOR

          protected static final int LINE_SPACING_FACTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocxParagraphHelper

          public DocxParagraphHelper(JasperReportsContext jasperReportsContext,
                             java.io.Writer writer,
                             boolean pageBreak)

  - ### Method Detail

    - #### exportProps

          public void exportProps(JRStyle style)

    - #### exportProps

          public void exportProps(JRPrintText text)

    - #### exportEmptyParagraph

          public void exportEmptyParagraph()

    - #### exportEmptyParagraph

          public void exportEmptyParagraph(boolean startPage,
                                  long bookmarkIndex,
                                  java.lang.String pageAnchor)

    - #### getHorizontalAlignment

          public static java.lang.String getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

    - #### getTabStopAlignment

          public static java.lang.String getTabStopAlignment(TabStopAlignEnum alignment)

    - #### exportEmptyPage

          public void exportEmptyPage(java.lang.String pageAnchor,
                             long bookmarkIndex,
                             boolean twice)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com